Class
ArgParseOption
Stores information for a specific command line option.

ArgParseArgument

ArgParseOption

ArgParseOption
Include Headers
seqan/arg_parse.h
Remarks
A ArgParseOption object can be added to a ArgumentParser via addOption.
Member Functions

ArgParseOption | Constructor

Functions

addDefaultValue | Adds/appends a new value to the list of default values.
addOption | Adds a ArgParseOption object to the ArgumentParser.
hideOption | Hides the ArgParseOption from the help screen.
isBooleanOption | Returns whether option is a switch.
isHidden | Returns whether option is hidden on the help screen. Default is false.
isOutputFileArgument | Returns whether the argument is an output file.
isRequired | Returns whether the option is mandatory.
setDefaultValue | Sets the default value for the given option.
setRequired | Sets whether or not the option is mandatory.
write | Writes the basic information about the ArgParseOption to the provided stream.

See Also
ArgParseArgument, ArgumentParser
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56